org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTxQueryAbstractEnlistFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.processors.cache.GridCacheFutureAdapter<T>
    - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxAbstractEnlistFuture<Long>
      - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxQueryAbstractEnlistFuture

All Implemented Interfaces:
  IgniteInternalFuture<Long>, DhtLockFuture<Long>, GridCacheFuture<Long>

Direct Known Subclasses:
  GridDhtTxQueryEnlistFuture, GridDhtTxQueryResultsEnlistFuture

    public abstract class GridDhtTxQueryAbstractEnlistFuture
    extends GridDhtTxAbstractEnlistFuture<Long>

Abstract future processing transaction enlisting and locking of entries produced with DML and SELECT FOR UPDATE queries.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxAbstractEnlistFuture

`GridDhtTxAbstractEnlistFuture.LockTimeoutObject`

### Field Summary

Fields
`protected long` `cnt` Processed entries count.

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxAbstractEnlistFuture

`cctx, deploymentLdrId, futId, hasNearNodeUpdates, keepBinary, lockVer, log, mvccSnapshot, nearFutId, nearLockVer, nearMiniId, nearNodeId, newDhtNodes, skipNearNodeUpdates, threadId, timeout, timeoutObj, tx`

### Constructor Summary

Constructors
`protected` `GridDhtTxQueryAbstractEnlistFuture(UUID nearNodeId, GridCacheVersion nearLockVer, MvccSnapshot mvccSnapshot, long threadId, IgniteUuid nearFutId, int nearMiniId, GridDhtTxLocalAdapter tx, long timeout, GridCacheContext<?,?> cctx)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `onEntryProcessed(KeyCacheObject key, GridCacheUpdateTxResult res)` Entry processed callback.
`protected Long` `result0()` Gets query result.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxAbstractEnlistFuture

`clearLockFuture, createIterator, futureId, init, markNotTrackable, needResult, onDone, onError, onNodeLeft, onResult, timeoutException, trackable`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheFutureAdapter

`duration, onDone, startTime`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Field Detail

#### cnt

    protected long cnt

Processed entries count.

### Constructor Detail

#### GridDhtTxQueryAbstractEnlistFuture

    protected GridDhtTxQueryAbstractEnlistFuture(UUID nearNodeId,
                                                 GridCacheVersion nearLockVer,
                                                 MvccSnapshot mvccSnapshot,
                                                 long threadId,
                                                 IgniteUuid nearFutId,
                                                 int nearMiniId,
                                                 GridDhtTxLocalAdapter tx,
                                                 long timeout,
                                                 GridCacheContext<?,?> cctx)

Constructor.

Parameters:
  `nearNodeId` - Near node ID.
  `nearLockVer` - Near lock version.
  `mvccSnapshot` - Mvcc snapshot.
  `threadId` - Thread ID.
  `nearFutId` - Near future id.
  `nearMiniId` - Near mini future id.
  `tx` - Transaction.
  `timeout` - Lock acquisition timeout.
  `cctx` - Cache context.

### Method Detail

#### result0

    protected Long result0()

Gets query result.

Specified by:
  `result0` in class `GridDhtTxAbstractEnlistFuture<Long>`
Returns:
  Query result.

#### onEntryProcessed

    protected void onEntryProcessed(KeyCacheObject key,
                                    GridCacheUpdateTxResult res)

Entry processed callback.

Specified by:
  `onEntryProcessed` in class `GridDhtTxAbstractEnlistFuture<Long>`
Parameters:
  `key` - Entry key.
  `res` - Update result.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021